Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.wsdl
Class Messages

    java.lang.Object
      java.util.ResourceBundle
          org.apache.ode.utils.msg.MessageBundle
              org.apache.ode.bpel.compiler.wsdl.Messages

    public class Messages

extends MessageBundle

Message interface for wsdl bpel extension

Field Summary

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`Messages()`

Method Summary
`java.lang.String` | `msgAlreadyDefinedIn(java.lang.String thing, java.lang.String name, java.lang.String origin, java.lang.String redef)` Format an error message about a `thing` being (inappropriately) redefined.
`java.lang.String` | `msgCannotBeDocumentRootElement(java.lang.String qname)` Format an error message about an element not being permissable as the root element in a WSDL document.
`java.lang.String` | `msgElementMustBeEmpty(java.lang.String element)` Format an error message about the `<X>` element having content when it should be empty.
`java.lang.String` | `msgElementRequiresAttr(java.lang.String element, java.lang.String attribute)` Format an error message about the `<X>` element requiring the `Y` attribute.
`java.lang.String` | `msgElementRequiresChild(java.lang.String element, java.lang.String child)` Format an error message about a child element being required.
`java.lang.String` | `msgExtensibilityElementsMustBeLast(java.lang.String qname)` Format an error message about an extensibility element occurring out of order with respect to other WSDL elements.
`java.lang.String` | `msgInvalidNamespacePrefix(java.lang.String prefix)` BPEL extension error: invalid namespace prefix \"{0}\".
`java.lang.String` | `msgMalformedQName(java.lang.String str)` The string \"{0}\" is not a properly formatted QName.
`java.lang.String` | `msgMissingRoleForPartnerLinkType(java.lang.String name)` The formatted error message The partnerLinkType {0} does not define any roles.
`java.lang.String` | `msgMustBeChildOfDef(java.lang.String qname)` Format an error message about a WSDL extensibility element requiring to be a first level child of the definition element.
`java.lang.String` | `msgNoMoreThanNumberOfElements(int n, java.lang.String x, java.lang.String y)` Format an error message that at most `n` things of type `x` may be defined with each `y`.
`java.lang.String` | `msgNoSuchMessageTypeForPropertyAlias(java.lang.String messageType)` Format a message about a `<propertyAlias>` referring to a non-existent WSDL message type.
`java.lang.String` | `msgNoSuchPartForPropertyAlias(java.lang.String message, java.lang.String part)` Format a message about a `<propertyAlias>` referring to a non-existent part of a a WSDL message type.
`java.lang.String` | `msgNoSuchPortTypeForRole(java.lang.String roleName, java.lang.String portType)` Format an error message about a `<role>` referring to a `portType` that can't be dereferenced.
`java.lang.String` | `msgNoSuchProperty(java.lang.String name, java.lang.String documentBaseURI)` Format an error message about a reference to a `<property>` that does not exist.
`java.lang.String` | `msgRoleAlreadyDefined(javax.xml.namespace.QName linkName, java.lang.String roleName)` Format an error message about a named `<role>` already being declared within a `<partnerLink>`.

Methods inherited from class org.apache.ode.utils.msg.MessageBundle
`format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Messages

    public Messages()

Method Detail

### msgInvalidNamespacePrefix

    public java.lang.String msgInvalidNamespacePrefix(java.lang.String prefix)

  BPEL extension error: invalid namespace prefix \"{0}\".

### msgMalformedQName

    public java.lang.String msgMalformedQName(java.lang.String str)

  The string \"{0}\" is not a properly formatted QName.

### msgMissingRoleForPartnerLinkType

    public java.lang.String msgMissingRoleForPartnerLinkType(java.lang.String name)

  The formatted error message The partnerLinkType {0} does not define any roles.

### msgElementRequiresAttr

    public java.lang.String msgElementRequiresAttr(java.lang.String element,
                                                   java.lang.String attribute)

  Format an error message about the `<X>` element requiring the `Y` attribute.

  Parameters:
    `element` - the `QName` of the element
    `attribute` - the name of the attribute
  Returns:
    the formatted error message The {1} attribute is required by the {0} element.

### msgElementMustBeEmpty

    public java.lang.String msgElementMustBeEmpty(java.lang.String element)

  Format an error message about the `<X>` element having content when it should be empty.

  Parameters:
    `element` - the `QName` of the element
  Returns:
    the formatted error message The schema for {0} prohibits child elements or non-whitespace characters as content.

### msgRoleAlreadyDefined

    public java.lang.String msgRoleAlreadyDefined(javax.xml.namespace.QName linkName,
                                                  java.lang.String roleName)

  Format an error message about a named `<role>` already being declared within a `<partnerLink>`.

  Parameters:
    `linkName` - the `QName` of the `<partnerLink>`
    `roleName` - the name of the `<role>`
  Returns:
    the formatted message The role {1} is already defined for the partnerLink {2}.

### msgNoMoreThanNumberOfElements

    public java.lang.String msgNoMoreThanNumberOfElements(int n,
                                                          java.lang.String x,
                                                          java.lang.String y)

  Format an error message that at most `n` things of type `x` may be defined with each `y`.

  Parameters:
    `n` - the maximum number of things.
    `x` - the things.
    `y` - the thing that contains the things.
  Returns:
    the formatted message No more than {0} {1} item(s) may be defined within one {2}.

### msgElementRequiresChild

    public java.lang.String msgElementRequiresChild(java.lang.String element,
                                                    java.lang.String child)

  Format an error message about a child element being required.

  Parameters:
    `element` - the `QName` of the parent element
    `child` - the `QName` of the child element
  Returns:
    the formatted message. The element {0} requires a child element with name {1}.

### msgNoSuchPortTypeForRole

    public java.lang.String msgNoSuchPortTypeForRole(java.lang.String roleName,
                                                     java.lang.String portType)

  Format an error message about a `<role>` referring to a `portType` that can't be dereferenced.

  Parameters:
    `roleName` - the name of the `<role>`
    `portType` - the `QName` of the `portType`
  Returns:
    the formatted message The referenced portType {1} for role {0} is not defined in this definition or an import.

### msgNoSuchMessageTypeForPropertyAlias

    public java.lang.String msgNoSuchMessageTypeForPropertyAlias(java.lang.String messageType)

  Format a message about a `<propertyAlias>` referring to a non-existent WSDL message type.

  Parameters:
    `messageType` - the non-existent WSDL message type name
  Returns:
    the formatted message A propertyAlias refers to the non-existent WSDL message type {0}.

### msgCannotBeDocumentRootElement

    public java.lang.String msgCannotBeDocumentRootElement(java.lang.String qname)

  Format an error message about an element not being permissable as the root element in a WSDL document.

  Parameters:
    `qname` - the stringified `QName` of the element
  Returns:
    the formatted message The element {0} is not permitted as the root element in a WSDL definition.

### msgMustBeChildOfDef

    public java.lang.String msgMustBeChildOfDef(java.lang.String qname)

  Format an error message about a WSDL extensibility element requiring to be a first level child of the definition element.

  Parameters:
    `qname` - the stringified `QName` of the element
  Returns:
    the formatted message. The element {0} must be a child of the WSDL definitions element.

### msgExtensibilityElementsMustBeLast

    public java.lang.String msgExtensibilityElementsMustBeLast(java.lang.String qname)

  Format an error message about an extensibility element occurring out of order with respect to other WSDL elements.

  Parameters:
    `qname` - the stringified `QName` of the element
  Returns:
    the formatted message The WSDL extensibility element {0} must occur after all core WSDL declarations in the same WSDL document.

### msgNoSuchPartForPropertyAlias

    public java.lang.String msgNoSuchPartForPropertyAlias(java.lang.String message,
                                                          java.lang.String part)

  Format a message about a `<propertyAlias>` referring to a non-existent part of a a WSDL message type.

  Parameters:
    `message` - the stringified `QName` of the message
    `part` - the name of the part
  Returns:
    the formatted message A propertyAlias refers to the non-existent part {1} on the WSDL message type {0}.

### msgAlreadyDefinedIn

    public java.lang.String msgAlreadyDefinedIn(java.lang.String thing,
                                                java.lang.String name,
                                                java.lang.String origin,
                                                java.lang.String redef)

  Format an error message about a `thing` being (inappropriately) redefined.

  Parameters:
    `thing` - the thing, e.g., a message, a port type, etc.
    `name` - the name of the thing
    `origin` - where it was first defined
    `redef` - where it was redefined
  Returns:
    the formatted message The {0} {1} defined in {3} was already defined in {2}.

### msgNoSuchProperty

    public java.lang.String msgNoSuchProperty(java.lang.String name,
                                              java.lang.String documentBaseURI)

  Format an error message about a reference to a `<property>` that does not exist.

  Parameters:
    `name` - the stringified `QName` of the property
    `documentBaseURI` - the URI of the WSDL that contains the reference.
  Returns:
    the formatted message A property alias in {1} refers to the property {0}, which is not defined.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD